import malbolge
import sys

istruzioni = [
	"Utilizzo:", 
	"666 [-f] input", 
	"  * -f: specifica un file.", 
	"  * input: file o codice da eseguire."
]

def utilizzo(): 
	print(*istruzioni, sep="\n")
	exit(1)
    
try:
	programma = sys.argv[1]
except IndexError:
	utilizzo()
    
if sys.argv[1] == "-f":
	try:
		programma = open(sys.argv[2]).read()
	except FileNotFoundError:
		exit("File non trovato.")
	except IndexError:
		utilizzo()
	if programma == "":
		exit("File vuoto.")
else:
	programma = sys.argv[1]
	
macchina = malbolge.Macchina()
macchina.esegui(programma)
